﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ResizeGrid.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
   <form id="form1" runat="server">
       <asp:ScriptManager ID="ScriptManager1" runat="server">
       </asp:ScriptManager>
        <div>
            <script type="text/javascript">
            function ResizeSecondGrid(sender, eventArgs)
            {
           
               $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest('ChangePageSize');
            }
            </script>

            <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" OnAjaxRequest="RadAjaxManager1_AjaxRequest">
             <AjaxSettings>
                        <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                            <UpdatedControls>
                                <telerik:AjaxUpdatedControl ControlID="RadGrid2" />
                            </UpdatedControls>
                        </telerik:AjaxSetting>
                        <telerik:AjaxSetting AjaxControlID="RadGrid2">
                            <UpdatedControls>
                                <telerik:AjaxUpdatedControl ControlID="RadGrid2" />
                            </UpdatedControls>
                        </telerik:AjaxSetting>
                    </AjaxSettings>
            </telerik:RadAjaxManager>

           <telerik:RadSplitter ID="RadSplitter1" runat="server" ResizeMode="AdjacentPane" Orientation="Vertical" Height="700px" Width="700px">
               <telerik:RadPane ID="calendarPane" runat="server" Height="400px" Width="400px">
                    <asp:Calendar ID="Calendar1" runat="server" BackColor="White" BorderColor="Black"
                        BorderStyle="Solid" CellSpacing="1" Font-Names="Verdana" Font-Size="9pt" ForeColor="Black"
                        NextPrevFormat="ShortMonth" Width="100%" Height="100%">
                        <SelectedDayStyle BackColor="#333399" ForeColor="White" />
                        <TodayDayStyle BackColor="#999999" ForeColor="White" />
                        <DayStyle BackColor="#CCCCCC" />
                        <OtherMonthDayStyle ForeColor="#999999" />
                        <NextPrevStyle Font-Bold="True" Font-Size="8pt" ForeColor="White" />
                        <DayHeaderStyle Font-Bold="True" Font-Size="8pt" ForeColor="#333333" Height="8pt" />
                        <TitleStyle BackColor="#333399" BorderStyle="Solid" Font-Bold="True" Font-Size="12pt"
                            ForeColor="White" Height="12pt" />
                    </asp:Calendar>
               </telerik:RadPane>
               <telerik:RadSplitBar ID="RadSplitBar1" runat="server" EnableResize="True" />
               <telerik:RadPane ID="nestedPane" runat="server" Width="400px" Height="80%">
                   <telerik:RadSplitter ID="nestedSplitter" runat="server" Orientation="Horizontal">
                       <telerik:RadPane ID="gridPane" runat="server" Scrolling="None">
                           <telerik:RadGrid ID="RadGrid1" DataSourceID="AccessDataSource1" runat="server"
                                AllowPaging="true" PageSize="20" Width="100%">
                                <MasterTableView Width="99%" />
                                <ClientSettings>
                                    <Scrolling AllowScroll="true" UseStaticHeaders="true" ScrollHeight="80%" />
                                    <ClientEvents />
                                </ClientSettings>
                                <PagerStyle Mode="NumericPages" />
                           </telerik:RadGrid>
                       </telerik:RadPane>
                       <telerik:RadSplitBar ID="RadSplitBar2" runat="server" EnableResize="True" />
                       <telerik:RadPane ID="listBoxPane" runat="server">
                            <asp:ListBox ID="ListBox1" runat="server" Width="100%" Height="100%">
                                <asp:ListItem Selected="True">item 1</asp:ListItem>
                                <asp:ListItem>item2</asp:ListItem>
                                <asp:ListItem>item3</asp:ListItem>
                            </asp:ListBox>
                       </telerik:RadPane>
                   </telerik:RadSplitter>
               </telerik:RadPane>
               <telerik:RadSplitBar ID="RadSplitBar3" runat="server" EnableResize="True" />
               <telerik:RadPane ID="paneResizePage" runat="server" Scrolling="None" Locked="true"
                    Width="400px">
                   <telerik:RadSplitter ID="spResizePage" runat="server" Orientation="Horizontal">
                       <telerik:RadPane ID="gridPane2" runat="server" OnClientResized="ResizeSecondGrid"
                            Scrolling="None" Height="200px">
                           <telerik:RadGrid ID="RadGrid2" DataSourceID="AccessDataSource2" runat="server" 
                                AllowPaging="true">
                                <MasterTableView AllowPaging="true" />
                                <PagerStyle Mode="NumericPages" />
                           </telerik:RadGrid>
                       </telerik:RadPane>
                       <telerik:RadSplitBar ID="RadSplitBar4" runat="server" EnableResize="True" />
                       <telerik:RadPane ID="paneEmplty" runat="server">
                       </telerik:RadPane>
                   </telerik:RadSplitter>
               </telerik:RadPane>
           </telerik:RadSplitter>
            <br />
            <asp:AccessDataSource ID="AccessDataSource1" DataFile="~/Grid/Data/Access/Nwind.mdb"
                SelectCommand="SELECT ContactName, ContactTitle, City, PostalCode FROM Customers"
                runat="server"></asp:AccessDataSource>
            <asp:AccessDataSource ID="AccessDataSource2" DataFile="~/Grid/Data/Access/Nwind.mdb"
                SelectCommand="SELECT TOP 40 ContactName, ContactTitle, City, PostalCode FROM Customers"
                runat="server"></asp:AccessDataSource>
        </div>
    </form>
</body>
</html>

